Subject: Re: [PATCH v3 08/12] testing: net-drv: add basic shaper test

From: Simon Horman <[email-masked]>
Date: Mon, 5 Aug 2024 15:22:53 +0100

On Wed, Jul 31, 2024 at 06:55:11PM -0700, Jakub Kicinski wrote:
> On Wed, 31 Jul 2024 09:52:38 +0200 Paolo Abeni wrote:
> > On 7/30/24 22:39, Paolo Abeni wrote:
> > > Leverage a basic/dummy netdevsim implementation to do functional
> > > coverage for NL interface.
> > > 
> > > Signed-off-by: Paolo Abeni <[email-masked]>  
> > 
> > FTR, it looks like the CI build went wild around this patch, but the 
> > failures look unrelated to the actual changes here. i.e.:
> > 
> > https://netdev.bots.linux.dev/static/nipa/875223/13747883/build_clang/stderr
> 
> Could you dig deeper?
> 
> The scripts are doing incremental builds, and changes to Kconfig
> confuse them. You should be able to run the build script as a normal
> bash script, directly, it only needs a small handful of exported
> env variables.
> 
> I have been trying to massage this for a while, my last change is:
> https://github.com/linux-netdev/nipa/commit/5bcb890cbfecd3c1727cec2f026360646a4afc62
> 

Thanks Jakub,

I am looking into this.
So far I believe it relate to a Kconfig change activating new code.
But reproducing the problem is proving a little tricky.